Subject: Re: linux/mips cross compiling error

From: Ralf Baechle <[email-masked]>
Date: Fri, 3 Dec 1999 10:47:33 -0200

On Wed, Dec 01, 1999 at 05:30:55PM +0900, SeungHoon Jung wrote:

> I'm Seunghoon Jung. I'm currently working on mips based emdedded linux
> system.  In the porting process, we are helped very much by your
> linux/MIPS howto document.  Thank you very much for your efforts.
> 
> We use cross-compilers and binutils from ftp.linux.sgi.com.
> And we successfully made linux 2.2.12 kernel.
> 
> After making kernel, we are trying to make glibc and mips applications.
> 
> We are following your steps with glibc-2.1.2.

This is a genuine linker bug which is rather difficult to fix.  Also the
MIPS support for glib 2.1 isn't complete, somebody is working on it.

(Due to size constraints glibc 2.1 is a bad choice for most MIPS systems
anyway; the recommendation is to use glibc 2.0.)

  Ralf